For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
            • GETList Payment Methods
            • GETList Company Payment Methods
            • PUTUpdate Company Payment Methods
            • GETList Active Payment Methods
            • GETGet Company Credit Status
            • PUTUpdate Company Credit Status
            • GETGet Company-Level Payment Terms
            • PUTUpdate Company-Level Payment Terms
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementPayment

List Active Payment Methods

GET
https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods
GET
/api/v3/io/company-payment-methods
$curl https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "companyId": 7826480,
6 "paymentId": 1,
7 "createdAt": 1753818625,
8 "updatedAt": 1753818625,
9 "paymentMethodCode": "authorizenet",
10 "paymentMethodTitle": "Authorize.net"
11 }
12 ],
13 "meta": {
14 "message": "Success",
15 "pagination": {
16 "totalCount": 100,
17 "limit": 10,
18 "offset": 0
19 }
20 }
21}
Get all currently enabled payment methods across Companies. If multiple Companies have a given payment method enabled, each one will be returned in the results. Data is returned with pagination.
Was this page helpful?
Previous

Update Company Payment Methods

Next

Get Company Credit Status

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

orderByenumOptional
Specifies the order data should be returned in. If not included, defaults to 'DESC'.
Allowed values:
sortByenumOptionalDefaults to updatedAt

Sorts data based on creation or modification time while respecting the orderBy parameter. If not included, defaults to ‘updatedAt’.

Allowed values:
limitintegerOptionalDefaults to 10
Sets the maximum number of records to display in the response.
offsetintegerOptionalDefaults to 0
Sets the number of records to skip before displaying the response.
companyIdstringOptional

Filters results by companyId, only showing payment methods enabled for the specified Company.

qstringOptional

The search string by which data should be filtered. Currently supports payment method code & payment method title, so that a value of q=auth would return any payment method with ‘auth’ in either the code or the title.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
datalist of objects
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.